Class | Nokogiri::XML::Node::SaveOptions
In: | lib/nokogiri/xml/node/save_options.rb
Parent: | Object

Save options for serializing nodes

### Methods

new

### Constants

FORMAT | = | 1 |  | Format serialized xml
NO_DECLARATION | = | 2 |  | Do not include declarations
NO_EMPTY_TAGS | = | 4 |  | Do not include empty tags
NO_XHTML | = | 8 |  | Do not save XHTML
AS_XHTML | = | 16 |  | Save as XHTML
AS_XML | = | 32 |  | Save as XML
AS_HTML | = | 64 |  | Save as HTML
AS_BUILDER | = | 128 |  | Save builder created document
DEFAULT_XML | = | AS_XML # https://github.com/tenderlove/nokogiri/issues/#issue/415 |  | the default for XML documents
DEFAULT_HTML | = | NO_DECLARATION | NO_EMPTY_TAGS | AS_HTML |  | the default for HTML document
DEFAULT_XML | = | FORMAT | AS_XML |  | the default for XML documents
DEFAULT_HTML | = | FORMAT | NO_DECLARATION | NO_EMPTY_TAGS | AS_HTML |  | the default for HTML document
DEFAULT_XHTML | = | FORMAT | NO_DECLARATION | NO_EMPTY_TAGS | AS_XHTML |  | the default for XHTML document

### External Aliases

options | -> | to_i

### Attributes

options | [R] | Integer representation of the SaveOptions

### Public Class methods

new(options = 0;)

Create a new SaveOptions object with `options`

[Validate]